:root{
    --transparent: transparent;
    --text-color: aliceblue;
    --glass-sea-green: rgba(31, 178, 170, 0.2);
    --default: rgba(255, 255, 255, 0.5);
    --light-black: rgba(0, 0, 0, 0.2);
    --glass-white: rgba(255, 255, 255, 0);
    --glass-black: rgba(0, 0, 0, 0);
     /* Orange Gradient Colors */
  --orange-dark: #ff8c00;
  --orange-red: #ff4500;
  --dark-gray: #2f2f2f;

  /* Blue Gradient Colors */
  --dodger-blue: #1e90ff;
  --steel-blue: #4682b4;
  --eerie-black: #1b1b2f;

  /* Purple Gradient Colors */
  --blue-violet: #8a2be2;
  --dark-orchid: #6a0dad;
  --gunmetal-purple: #282846;

  /* Red Gradient Colors */
  --red: #ff0000;
  --dark-red: #8b0000;
  --very-dark-red: #2c0202;

  /* Green Gradient Colors */
  --lime-green: #32cd32;
  --forest-green: #228b22;
  --charleston-green: #1f2d1f;

  /* Yellow Gradient Colors */
  --gold: #ffd700;
  --orange: #ffa500;
  --dark-olive: #2b2b1b;

  /* Pink Gradient Colors */
  --deep-pink: #ff1493;
  --medium-violet-red: #c71585;
  --dark-purple-gray: #2a1b2f;

  /* Teal Gradient Colors */
  --light-sea-green: #20b2aa;
  --teal: #008080;
  --gunmetal-teal: #1e2f2f;

  /* Crimson Gradient Colors */
  --crimson: #dc143c;
  --dark-red-2: #8b0000;
  --very-dark-reddish-brown: #2a1b1b;

  /* Gold Gradient Colors */
  --goldenrod: #daa520;
  --dark-goldenrod: #b8860b;
  --jet-black-brown: #29271b;

  /* Discord colors */
  --dark-blue: #0a0b47;
  --medium-blue: #1d2b6e; 
  --light-blue: #3943b7;
    
    /* Line Gradients */
    --vidiq: linear-gradient(135deg, #231d53, #1e384e);
    --discord: radial-gradient(circle, var(--light-blue), var(--medium-blue), var(--dark-blue));
    --line-custom: linear-gradient(135deg, var(--gunmetal-teal), var(--teal), var(--steel-blue));
    --line-orange: linear-gradient(135deg, var(--orange-dark), var(--orange-red), var(--dark-gray));
    --line-blue: linear-gradient(135deg, var(--dodger-blue), var(--steel-blue), var(--eerie-black));
    --line-purple: linear-gradient(135deg, var(--blue-violet), var(--dark-orchid), var(--gunmetal-purple));
    --line-red: linear-gradient(135deg, var(--red), var(--dark-red), var(--very-dark-red));
    --line-green: linear-gradient(135deg, var(--lime-green), var(--forest-green), var(--charleston-green));
    --line-yellow: linear-gradient(135deg, var(--gold), var(--orange), var(--dark-olive));
    --line-pink: linear-gradient(135deg, var(--deep-pink), var(--medium-violet-red), var(--dark-purple-gray));
    --line-teal: linear-gradient(135deg, var(--light-sea-green), var(--teal), var(--gunmetal-teal));
    --line-crimson: linear-gradient(135deg, var(--crimson), var(--dark-red-2), var(--very-dark-reddish-brown));
    --line-gold: linear-gradient(135deg, var(--goldenrod), var(--dark-goldenrod), var(--jet-black-brown));

        /* Circle Gradients */
        --circle-orange: radial-gradient(circle, var(--orange-dark), var(--orange-red), var(--dark-gray));
        --circle-blue: radial-gradient(circle, var(--dodger-blue), var(--steel-blue), var(--eerie-black));
        --circle-purple: radial-gradient(circle, var(--blue-violet), var(--dark-orchid), var(--gunmetal-purple));
        --circle-red: radial-gradient(circle, var(--red), var(--dark-red), var(--very-dark-red));
        --circle-green: radial-gradient(circle, var(--lime-green), var(--forest-green), var(--charleston-green));
        --circle-yellow: radial-gradient(circle, var(--gold), var(--orange), var(--dark-olive));
        --circle-pink: radial-gradient(circle, var(--deep-pink), var(--medium-violet-red), var(--dark-purple-gray));
        --circle-teal: radial-gradient(circle, var(--light-sea-green), var(--teal), var(--gunmetal-teal));
        --circle-crimson: radial-gradient(circle, var(--crimson), var(--dark-red-2), var(--very-dark-reddish-brown));
        --circle-gold: radial-gradient(circle, var(--goldenrod), var(--dark-goldenrod), var(--jet-black-brown));
      
  
    --shadow: 4px 4px 12px var(--eerie-black), -4px -4px 12px var(--dark-gray);
    --text-shadow: 0 0 4px var(--default);
    --overlay-10: rgba(0, 0, 0, 0.1);
    --overlay-20: rgba(0, 0, 0, 0.2);
    --overlay-30: rgba(0, 0, 0, 0.3);
    --overlay-40: rgba(0, 0, 0, 0.4);
    --overlay-50: rgba(0, 0, 0, 0.5);
    --overlay-60: rgba(0, 0, 0, 0.6);
    --overlay-70: rgba(0, 0, 0, 0.7);
    --overlay-80: rgba(0, 0, 0, 0.8);
    --overlay-90: rgba(0, 0, 0, 0.9);
    --blur-small: blur(4px);
    --blur:  blur(10px);
    --blur-medium: blur(1rem);
    --blur-large: blur(20px);
    --circle: 2000px;
    --rounded-small: 4px;
    --rounded: 10px;
    --rounded-medium: 1rem;
    --rounded-large: 20px;
    --font: 1.1rem;
    --font-small: 0.8rem;
    --font-medium: 1.7rem;
    --font-large: 2.2rem; 
    --width-half: 50%;
    --width-80: 80%;
    --width-90: 90%;
    --width: 100%;
    --scale-small: scale(0.9);
    --scale: scale(1.1); 
    --scale-medium: scale(1.2);
    --scale-large: scale(1.350);
    --margin-small: 6px;
    --margin: 10px;
    --margin-medium: 16px;
    --margin-large: 20px;
    --margin-auto: auto;
    --padding-small: 6px;
    --padding: 10px;
    --padding-medium: 1rem;
    --padding-large: 20px;
    --transition: all 0.3s ease;
    --transition-fast: all 0.1s ease;
    --transition-medium: all 0.5s ease;
    --transition-slow: all 0.7s ease;
    --border: 1px solid var(--default);
    --font-roboto: 'Roboto', sans-serif;
    --font-tahoma: 'tahoma', sans-serif;
    --ground: -10;
    --overlay: -5; 
    --lower: 5;
    --upper: 10;
/* Backgrounds */
    --login-page: url('../public/images/login-bg.jpg');
    /* Devices Width */
    --mobile-form: 95%;
    --tab-form: 90%;
    --laptop-form: 60%;
    --desktop-form: 50%;
    --ultra-wide-form: 40%;

    /* Devices Direction */
    --column: column;
}
/* theme variables */
    
/* universal Selector */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style-type: none;
}
/* body Selector */ 
body{
    font-family: var(--font-roboto);
}
/* overlay */

.overlay{
    position: fixed;
    z-index: var(--overlay);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--overlay-60);
    margin: auto;
    width: 100%;
    height: 100%;
}
/* Background */
.background{
    z-index: var(--ground);
    height: 100%;
    width: 100%;
    position: fixed;
    background: var(--login-page), var(--line-blue);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* .Container */

  /* form container */

.form-container{
    display: flex;
    align-items: center;
    justify-content: space-around;
    max-width: 700px;
    height: max-content;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    color: var(--text-color);
    padding: var(--padding);
    width: var(--tab-form);
    border-radius: var(--rounded-large);
    background: var(--glass-white);
    border: var(--border);
    backdrop-filter: var(--blur);
}
  /* Default form */

.form{
    text-align: center;
    display: flex;
    flex-direction: var(--column);
    height: max-content;
    width: 45%;
    max-width: 500px;
    padding: var(--padding);
    border-radius: var(--rounded-medium);
    background: linear-gradient(to bottom, rgba(77, 0, 255, 0.1), var(--glass-white));
    border: var(--border);
    z-index: var(--upper);
}
/* default input */

input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="number"] {
    width: 100%;
    outline: none;
    border: none;
    height: 2rem;
    background-color: var(--transparent);
    font-size: var(--font);
    color: var(--text-color);
    font-family: var(--font-tahoma);
    margin-left: var(--margin-medium);
}

.input-shell {
    position: relative;
    border-bottom: var(--border);
    width: var(--width-80);
    margin: var(--margin-large) auto;
    display: flex;
    align-items: center;
    padding: 2px 10px;
}
.input-shell > input:focus + p { font-size: 0.8rem;}
.input-shell > .onfocus {
     position:absolute;
     top: calc(100% + 6px);
     font-size: 0rem;
     font-family: sans-serif;   
     font-style: italic;
     font-weight: lighter;
     color: var(--dodger-blue);
     text-shadow: 1px 1px 5px var(--light-sea-green);
     transition: 0.3s;
      }
/* Default Btn */

.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 10rem;
    min-width: 6rem;
    width: 50%;
    height: max-content;
    padding: 0.5rem 1.1rem;
    cursor: pointer;
    font-size: var(--font);
    margin: var(--margin-medium) var(--margin-auto);
    transition: var(--transition-fast);
    position: relative;
    text-transform: uppercase;
    border-radius: var(--rounded-small);
    color: var(--default);
    background: var(--transparent);
    border: var(--border);
  }
  .btn:hover {
    box-shadow: 0 0 15px 3px var(--default);
    color: var(--text-color);
    border: 1px solid var(--default);
    text-shadow: var(--text-shadow);
    transform: var(--scale);
  }
  .btn i {
    font-size: 0px;
    transition: var(--transition);
  }
  .btn:hover > span + i{
    font-size: var(--font);
    margin-left: var(--margin-medium);
  } 
/* Default Heading */
h2, h1{
    margin: var(--margin-small) auto;
    text-align: center;
    flex: 1 1 100%;
}
/* Default Anchor */
a {
    color: var(--light-sea-green);
    font-family: var(--font-tahoma);
    font-size: var(--font);
    transition: var(--transition);
    margin: var(--margin-medium) auto;
    border-bottom: 1px solid transparent;
    width: max-content;
}
a:hover {
    border-bottom: 1px solid var(--default);
    color: var(--text-color);
    text-shadow: 0 0 4px var(--default);
}
/* Default Select */
select{
    background-color: var(--glass-black);
    outline: none;
    margin: none;
    height: 2.2rem;
    cursor: pointer;
    color: var(--text-color);
    width: 100%;
    border: none;
}
/* select {
    color: var(--text-color);
    padding: 2px 10px;
    backdrop-filter: var(--blur);
    font-size: var(--font);
    border: var(--border);
    width: 100%;
    position: absolute;
    appearance: none;           
    -webkit-appearance: none;   
    -moz-appearance: none;      
    z-index: var(--upper);
  }
  .dropdown .select-shell i{
    z-index: var(--lower);
    position: absolute;
    font-size: 1.4rem;
    right: 1rem;
  }
  .dropdown > .select-shell{
    margin: var(--margin-large) auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: relative;
    height: max-content;
    flex: 1 1 30%;
    max-width: 200px;
  } */
   /* Cards */

/* preloader */ 
#preloader{
    width: 100%;
    height: 100vh;
    background-color: orangered blue;
    z-index: var(--upper);
    position: relative;
}
#loader{
    z-index: var(--upper);
    width: 65px;
    height: 55px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}
#loader .inner-loader{
    width: 10px;
    height: 40px;
    background-color: #41f3fd;
    margin: 4px;
    display: inline-block;
    box-shadow: 0 0 12px 3px #0882ff;
    animation: loading 1.5s ease-in-out infinite;
}
#loader .inner-loader { animation-delay: 0s; }
#loader .inner-loader:nth-child(2) { animation-delay: 0.5s; }
#loader .inner-loader:nth-child(3) { animation-delay: 1s; }
@keyframes loading{
    20% {
        background: white;
        transform: scale(1.5);
    }
    40% {
        background: #41f3fd;
        transform: scale(1);
    }
}
/* Media Queries */

@media (max-width: 400px) {
  .card-container {
    width: 100%;
    justify-content: space-around;
  }
  .card {
    width: 100%; /* Card width at 400px */
  }
}

@media (max-width: 576px) {
    /* Styles for small devices */
    .form-container{ 
        flex-direction: var(--column);
        height: max-content;
        width: var(--mobile-form);
        
    }
    .form, .dropdown{
        width: var(--mobile-form); 
        max-width: 320px;
        height: max-content;
      } 
      .dropdown{
        flex-direction: var(--column);
        gap: 20px;
      }
      .dropdown > .select-shell{
        width: 80%;
        max-width: 80%;
      }
      .card-container {
        width: 85%;
      }
          .card {
            flex: 1 1 70%;
          }
  }
@media (min-width: 577px) and (max-width: 767px) {
    /* Styles for tablets */
    .form-container{ 
        flex-direction: var(--column);
        height: max-content;
        width: var(--laptop-form);
    }

    .form, .dropdown {
        width: var(--tab-form);
        max-width: 400px;
        height: max-content;
      } 
      .dropdown{
        flex-direction: var(--column);
        gap: 20px;
      }
      .dropdown > .select-shell{
        width: 80%;
        max-width: 80%;
      }
      .card-container {
        width: 85%;
        justify-content: space-around;
        gap: 20px;
      }
      .card {
        flex: 1 1 45%;
      }
  }
@media (min-width: 768px) and (max-width: 992px) {
    /* Styles for small laptops */

    .form {
        width: var(--desktop-form);
        max-width: 400px;
      }
      

  }
@media (min-width: 993px) and (max-width: 1200px) {
    /* Styles for desktops */
    .form {
        width: var(--desktop-form);
        max-width: 400px;
      }
      .card-container {
        width: 80%;
        flex-wrap: wrap;
        }
        .card {
            width: calc(25% - 15px);/* 4 cards in a row on desktop */
        }
      
  }
  /*
    Default Button 
    <button class="btn">
      <span>Default</span>
      <i class="fas fa-arrow-right"></i>
    </button>
    
      Preloader
    <div id="preloader">
  <div id="loader">
    <div class="inner-loader"></div>
    <div class="inner-loader"></div>
    <div class="inner-loader"></div>
</div>
</div>

    Default Input  
<div class="input-shell">
      <i class="fa-solid fa-lock"></i>
      <input type="password" name="password" id="password" placeholder="Password" required>
    </div>